import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { createContext, useState, useMemo, } from 'react';
export const NeedsReloadContext = createContext({});
export const NeedsReloadProvider = ({ children }) => {
    const [needsReload, setNeedsReload] = useState(false);
    const providerValue = useMemo(() => ({
        needsReload,
        setNeedsReload,
    }), [needsReload, setNeedsReload]);
    return (_jsx(NeedsReloadContext.Provider, { value: providerValue, children: children }));
};
